org.eclipse.cdt.utils.macho.parser

## Class MachOParser

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.AbstractCExtension
    - - org.eclipse.cdt.utils.macho.parser.MachOParser

All Implemented Interfaces:
  IBinaryParser, ICExtension, org.eclipse.core.runtime.IAdaptable

Deprecated.
Deprecated as of CDT 6.1. Use 64 bit version `MachOParser64`. This class is planned for removal in next major release.

    @Deprecated
    public class MachOParser
    extends AbstractCExtension
    implements IBinaryParser

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

### Constructor Summary

Constructors
Constructor and Description
`MachOParser()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected IBinaryParser.IBinaryArchive` `createBinaryArchive(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryObject` `createBinaryCore(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryExecutable` `createBinaryExecutable(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryObject` `createBinaryObject(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryShared` `createBinaryShared(org.eclipse.core.runtime.IPath path)` Deprecated.
`IBinaryParser.IBinaryFile` `getBinary(byte[] hints, org.eclipse.core.runtime.IPath path)` Deprecated. Creates an IBinaryFile.
`IBinaryParser.IBinaryFile` `getBinary(org.eclipse.core.runtime.IPath path)` Deprecated. Creates an IBinaryFile.
`CPPFilt` `getCPPFilt()` Deprecated.
`protected org.eclipse.core.runtime.IPath` `getCPPFiltPath()` Deprecated.
`String` `getFormat()` Deprecated. Returns the name of the Format.
`int` `getHintBufferSize()` Deprecated. Get a hint of the needed buffer size to recognize the file.
`boolean` `isBinary(byte[] array, org.eclipse.core.runtime.IPath path)` Deprecated. True if the resource is a binary.

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### MachOParser

    public MachOParser()

Deprecated.

### Method Detail

#### getBinary

    public IBinaryParser.IBinaryFile getBinary(org.eclipse.core.runtime.IPath path)
                                        throws IOException

Deprecated.
Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Throws:
  `IOException`

#### getBinary

    public IBinaryParser.IBinaryFile getBinary(byte[] hints,
                                               org.eclipse.core.runtime.IPath path)
                                        throws IOException

Deprecated.
Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Parameters:
  `hints` - - array byte that can be use to recognise the file. Can be null or empty array when no hints are passed.
Throws:
  `IOException`

#### getFormat

    public String getFormat()

Deprecated.
Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`

#### isBinary

    public boolean isBinary(byte[] array,
                            org.eclipse.core.runtime.IPath path)

Deprecated.
Description copied from interface: `IBinaryParser`
True if the resource is a binary.

Specified by:
  `isBinary` in interface `IBinaryParser`

#### getHintBufferSize

    public int getHintBufferSize()

Deprecated.
Description copied from interface: `IBinaryParser`
Get a hint of the needed buffer size to recognize the file.

Specified by:
  `getHintBufferSize` in interface `IBinaryParser`

#### getCPPFilt

    public CPPFilt getCPPFilt()

Deprecated.

#### getCPPFiltPath

    protected org.eclipse.core.runtime.IPath getCPPFiltPath()

Deprecated.

#### createBinaryArchive

    protected IBinaryParser.IBinaryArchive createBinaryArchive(org.eclipse.core.runtime.IPath path)
                                                        throws IOException

Deprecated.

Throws:
  `IOException`

#### createBinaryObject

    protected IBinaryParser.IBinaryObject createBinaryObject(org.eclipse.core.runtime.IPath path)
                                                      throws IOException

Deprecated.

Throws:
  `IOException`

#### createBinaryExecutable

    protected IBinaryParser.IBinaryExecutable createBinaryExecutable(org.eclipse.core.runtime.IPath path)
                                                              throws IOException

Deprecated.

Throws:
  `IOException`

#### createBinaryShared

    protected IBinaryParser.IBinaryShared createBinaryShared(org.eclipse.core.runtime.IPath path)
                                                      throws IOException

Deprecated.

Throws:
  `IOException`

#### createBinaryCore

    protected IBinaryParser.IBinaryObject createBinaryCore(org.eclipse.core.runtime.IPath path)
                                                    throws IOException

Deprecated.

Throws:
  `IOException`